Subject: [alpine-devel] new aport gettext

From: "Carlo Landmeter" <[email-masked]>
Date: Tue, 06 Jan 2009 15:46:02 +0000

Please review attached git patch.

Br,

Carlo

From fa46a3ad450f5e521f1305688c78e473e3411e3f Mon Sep 17 00:00:00 2001
From: Carlo Landmeter <[email-masked]>
Date: Tue, 6 Jan 2009 15:44:56 +0000
Subject: [PATCH] extra/gettext new aport

---
 extra/gettext/APKBUILD |   23 +++++++++++++++++++++++
 1 files changed, 23 insertions(+), 0 deletions(-)
 create mode 100644 extra/gettext/APKBUILD

diff --git a/extra/gettext/APKBUILD b/extra/gettext/APKBUILD
new file mode 100644
index 0000000..958e113
--- /dev/null
+++ b/extra/gettext/APKBUILD
@@ -0,0 +1,23 @@
+# Maintainer: Carlo Landmeter <clandmeter at gmail.com>
+pkgname=gettext
+pkgver=0.17
+pkgrel=0
+pkgdesc="GNU locale utilities"
+url="http://www.gnu.org/software/gettext/gettext.html"
+license='GPL'
+depends="libiconv expat ncurses"
+makedepends="libiconv-dev"
+source="ftp://ftp.mirror.nl/pub/mirror/gnu/gettext/gettext-0.17.tar.gz"
+subpackages="$pkgname-doc $pkgname-dev"
+
+build() {
+	cd "$srcdir/$pkgname-$pkgver"
+
+	./configure --prefix=/usr \
+	--mandir=/usr/share/man
+	unset MAKEFLAGS
+	make || return 1
+	make DESTDIR="$pkgdir/" install
+}
+
+md5sums="58a2bc6d39c0ba57823034d55d65d606  gettext-0.17.tar.gz"
-- 
1.5.6.4

---

From: Natanael Copa <[email-masked]>
Date: Wed, 07 Jan 2009 14:06:46 +0100

> Please review attached git patch.

I committed this one after chaning some things in abuild.

the gettext package included lots of .c and .h files. I dont htink those
are needed during runtime.

I ended up moving /usr/share/gettext to -dev package. If other package
has an /usr/share/gettext dir it will be moved to the -dev package.

I dunno if this is correct. time will show.

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---